Subject: Re: HFL Customer Care & Dr. Sam Robbins Shipment Notification - EH-201910250829-199523
From: HFL Support Team <[email-masked]>
To: manager <[email-masked]>
Date: Tue, 21 Jan 2020 19:45:09 +0530

Deb responded ZD  84609

Dave

On Tue, Jan 21, 2020 at 10:47 AM Something Random <
[email-masked]> wrote:

> Please check the tracking as on my end shows that the label was created
> but USPS is still waiting for this package. Simply click on the tracking.
> Regards,
> SR
>
> Sent from my iPhone
>
> On 17 Jan 2020, at 15:39, Lenchaman Letitoiya <[email-masked]>
> wrote:
>
> 
>
> Is there a way all parties copied here can communicate so that I can
> receive my order
>
> HFL is not furnishing me with my order details and delivery confirmation
>
> Something random is unable to search for my package without these details
>
>
> What is a customer supposed to do?
> Items: 2 Lean optimizer bottles, 1 Alphaviril
> Date: Oct 25th 2019
> Delivery date:25th November 2019
>
> USPS TRACKING: 9400110200793213533900
>
> Name: SRLenchaman Lesiit
> Address: 1255 E 16TH ST # 22528
> : #22528
> City: Wilmington
> State: DELAWARE
> Zip: 19802
> Country: USA
> On Monday, January 13, 2020, 05:35:46 AM GMT+3, [email-masked] <
> [email-masked]> wrote:
>
>
> Here is the tracking number for USPS.com   9400110200793213533900
>
> This shows delivered through the tracking system.
>
> Deborah
> HFLSolutions Support Supervisor
> www.4HFL.com
>
>
> ----- Original Message -----
> From:
> "Lenchaman Letitoiya" <[email-masked]>
>
> To:
> "[email-masked]" <[email-masked]>, "Mike Wilson - HFL
> Orders" <[email-masked]>, "- Dr. Sam Robbins -" <
> [email-masked]>
> Cc:
>
> Sent:
> Fri, 10 Jan 2020 08:37:09 +0000 (UTC)
> Subject:
> Re: HFL Customer Care & Dr. Sam Robbins Shipment Notification -
> EH-201910250829-199523
>
>
>
> Please help me get my order from October 2019
>
> Is there any proof of delivery in Delaware USA on 25th november 2019 as
> indicated?
>
> I need something I can show my courier to prove it was delivered so I can
> follow up with them
> On Thursday, January 9, 2020, 01:16:22 PM GMT+3, Lenchaman Letitoiya <
> [email-masked]> wrote:
>
>
> Hi Deborah
>
> Please see below details regarding my communication history with HFL
> My courier wants my order and tracking details for this order that was
> delivered on 25/11 in Delaware.
> Anything confirming delivery will help as o am yet to get my order
>
>
> ----- Forwarded Message -----
> *From:* "[email-masked]" <[email-masked]>
> *To:* "Lenchaman Letitoiya" <[email-masked]>
> *Cc:*
> *Sent:* Fri, Dec 6, 2019 at 6:32 AM
> *Subject:* Re: HFL Customer Care & Dr. Sam Robbins Shipment Notification
> - EH-201910250829-199523
> It was delivered on 11/25.
>
> Please let us know if there is anything else we can do to assist you.
>
> Deborah
> HFLSolutions Support Supervisor
> www.4HFL.com
>
>
> ----- Original Message -----
> From:
> "Lenchaman Letitoiya" <[email-masked]>
>
> To:
> <[email-masked]>
> Cc:
>
> Sent:
> Thu, 5 Dec 2019 10:37:57 +0000 (UTC)
> Subject:
> Re: HFL Customer Care & Dr. Sam Robbins Shipment Notification -
> EH-201910250829-199523
>
>
> Hi Deborah
>
> Please advise if my package was delivered to Delaware
>
> On Thursday, November 21, 2019, 07:07:30 AM GMT+3, <[email-masked]>
> wrote:
>
>
> This will be shipped first thing tomorrow morning.
>
> Please let us know if there is anything else we can do to assist you.
>
> Deborah
> HFLSolutions Support Supervisor
> www.4HFL.com
>
>
> ----- Original Message -----
> From:
> "Lenchaman Letitoiya" <[email-masked]>
>
> To:
> <[email-masked]>
> Cc:
>
> Sent:
> Mon, 18 Nov 2019 09:38:27 +0000 (UTC)
> Subject:
> Re: HFL Customer Care & Dr. Sam Robbins Shipment Notification -
> EH-201910250829-199523
>
>
> yes kindly
>
> Let me explain... The address in Delaware USA  belongs to the courier I
> use to ship things to me
>
> However I am in Kenya
>
> I would prefer it is shipped to them in Delaware USA kindly
>
> Thanks
>
> Let me know
>
> On Monday, November 18, 2019, 05:41:07 AM GMT+3, <[email-masked]>
> wrote:
>
>
> I am confused.  Is there what you want the order to do?  You sent an email
> before this one saying 'nevermind'
>
> I just want to be sure before we reship.
>
> Deborah
> HFLSolutions Support Supervisor
> www.4HFL.com
>
>
> ----- Original Message -----
> From:
> "[email-masked]" <[email-masked]>
>
> To:
> "[email-masked]" <[email-masked]>
> Cc:
>
> Sent:
> Fri, 15 Nov 2019 05:11:13 +0000 (UTC)
> Subject:
> Re: Fw: HFL Customer Care & Dr. Sam Robbins Shipment Notification -
> EH-201910250829-199523
>
>
> Name : SRLenchaman Lesiit
> Company: Something Random
> Street Address: 1255 E 16TH ST #22528
> State: DelawareCity: Wilmington
> Postal Code: 19802
> Country: USA
> Email address: [email-masked]
> Phone Number: +254798134533
>
>